Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.datasource
Interface IEssOlapServer.IEssOlapConnectionInfo

All Superinterfaces:
  IEssBaseObject

Enclosing interface:
  IEssOlapServer

public static interface IEssOlapServer.IEssOlapConnectionInfo
extends IEssBaseObject

The IEssOlapConnectionInfo interface provides OLAP agent/server connection information.

Method Summary
`java.lang.String` | `getConnectedApplicationName()` Gets the connected application name.
`java.lang.String` | `getConnectedCubeName()` Gets the connected cube name.
`java.lang.String` | `getConnectedLoginTime()` Gets the login time.
`java.lang.String` | `getConnectedUserName()` Gets the user name.
`java.lang.String` | `getDatabaseConnectTime()` Gets the cube connect time.
`void` | `logoffUser()` Logs off the user at specified index.

Method Detail

### getConnectedUserName

    public java.lang.String getConnectedUserName()
                                          throws EssException

  Gets the user name.

  Returns:
    The user name.
  Throws:
    `EssException` - if an error occurs.

### getConnectedLoginTime

    public java.lang.String getConnectedLoginTime()
                                           throws EssException

  Gets the login time.

  Returns:
    The login time.
  Throws:
    `EssException` - if an error occurs.

### getConnectedApplicationName

    public java.lang.String getConnectedApplicationName()
                                                 throws EssException

  Gets the connected application name.

  Returns:
    The application name.
  Throws:
    `EssException` - if an error occurs.

### getConnectedCubeName

    public java.lang.String getConnectedCubeName()
                                          throws EssException

  Gets the connected cube name.

  Returns:
    The cube name.
  Throws:
    `EssException` - if an error occurs.

### getDatabaseConnectTime

    public java.lang.String getDatabaseConnectTime()
                                            throws EssException

  Gets the cube connect time. An exception is thrown if this user is not connected to any cube.

  Returns:
    The connect time.
  Throws:
    `EssException` - if an error occurs.

### logoffUser

    public void logoffUser()
                    throws EssException

  Logs off the user at specified index.

  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD